Bug 614089 - Booting RHEL6 beta (2.6.32-48.el6.x86_64) into runlevel-5 throws 'prefdm respawning too fast, stopped' (on a physical machine-- DELL precision T5400)
Booting RHEL6 beta (2.6.32-48.el6.x86_64) into runlevel-5 throws 'prefdm res...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Charles Rose (RH)
Red Hat Kernel QE team
:
Depends On:
Blocks: 846704
  Show dependency treegraph
 
Reported: 2010-07-13 12:40 EDT by Kashyap Chamarthy
Modified: 2014-12-02 17:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-02 17:03:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (52.23 KB, text/plain)
2010-07-22 22:06 EDT, Kashyap Chamarthy
no flags Details

  None (edit)
Description Kashyap Chamarthy 2010-07-13 12:40:01 EDT
Description of problem:

Booting RHEL6 beta (RHEL6.0-20100701.3)-- a QE blessed build,  into runlevel-5(no graphical boot) throws kernel microcode errors (on a physical machine -- DELL precision T5400)


Version-Release number of selected component (if applicable):
================================
root@el6b2 ~]# rpm -qa kernel microcode_ctl kernel-firmware
kernel-firmware-2.6.32-42.el6.noarch
kernel-2.6.32-42.el6.x86_64
microcode_ctl-1.17-3.el6.x86_64
[root@el6b2 ~]# 
================================


How reproducible:
always

Steps to Reproduce:
1. Install RHEL6.0-20100701.3 build on a DELL precision T5400 physical machine.
2. Restart, and try to get into graphical boot.


Actual results:

Graphical boot gets stuck for ever.

The below errors are thrown, when I got into runlevel-3, and trie to run an 'init-5'

############################################################################
[root@el6b2 ~]# tail -f /var/log/messages 
Jul 13 21:22:01 el6b2 kernel: type=1129 audit(1279036321.516:62): user pid=2979 uid=0 auid=0 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='old-level=5 new-level=5: exe="/sbin/telinit" hostname=? addr=? terminal=tty1 res=success'
Jul 13 21:22:01 el6b2 kernel: microcode: CPU0 sig=0x1067a, pf=0x40, revision=0xa07
Jul 13 21:22:01 el6b2 kernel: platform microcode: firmware: requesting intel-ucode/06-17-0a
Jul 13 21:22:01 el6b2 kernel: microcode: CPU1 sig=0x1067a, pf=0x40, revision=0xa07
Jul 13 21:22:01 el6b2 kernel: platform microcode: firmware: requesting intel-ucode/06-17-0a
Jul 13 21:22:01 el6b2 firmware.sh[2998]: Cannot find  firmware file 'intel-ucode/06-17-0a'
Jul 13 21:22:01 el6b2 kernel: microcode: CPU2 sig=0x1067a, pf=0x40, revision=0xa07
Jul 13 21:22:01 el6b2 kernel: platform microcode: firmware: requesting intel-ucode/06-17-0a
Jul 13 21:22:01 el6b2 firmware.sh[3005]: Cannot find  firmware file 'intel-ucode/06-17-0a'
Jul 13 21:22:01 el6b2 kernel: microcode: CPU3 sig=0x1067a, pf=0x40, revision=0xa07
Jul 13 21:22:01 el6b2 kernel: platform microcode: firmware: requesting intel-ucode/06-17-0a
Jul 13 21:22:01 el6b2 firmware.sh[3016]: Cannot find  firmware file 'intel-ucode/06-17-0a'
Jul 13 21:22:01 el6b2 firmware.sh[3027]: Cannot find  firmware file 'intel-ucode/06-17-0a'
Jul 13 21:22:01 el6b2 kernel: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
Jul 13 21:22:01 el6b2 kernel: Microcode Update Driver: v2.00 removed.
Jul 13 21:22:01 el6b2 init: start-ttys main process (3137) terminated with status 1
###############################################################################

Expected results:

Graphical boot should proceed just fine.

Let me know if I need to provide further info.
Comment 2 Kashyap Chamarthy 2010-07-14 05:44:48 EDT
Applying the newest kernel has eliminated the above messages. But still I can't get into runlevel 5. I get messages like "prefdm respawning too fast, stopped"

Version Info:
======================
[root@el6b2 ~]# rpm -qa kernel microcode_ctl kernel-firmware
kernel-2.6.32-48.el6.x86_64
kernel-firmware-2.6.32-48.el6.noarch
microcode_ctl-1.17-3.el6.x86_64
[root@el6b2 ~]# 
======================


/var/log/messages throws the below:

===========================================================================
l 14 10:44:38 el6b2 kernel: type=1104 audit(1279084478.558:32): user pid=2507 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:initrc_t:s0 msg='
op=PAM:setcred acct="root" exe="/sbin/runuser" hostname=? addr=? terminal=console res=success'
Jul 14 10:44:38 el6b2 kernel: type=1106 audit(1279084478.558:33): user pid=2507 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:initrc_t:s0 msg='
op=PAM:session_close acct="root" exe="/sbin/runuser" hostname=? addr=? terminal=console res=success'
Jul 14 10:44:38 el6b2 init: start-ttys main process (2514) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process (2513) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2530) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2544) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2558) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2572) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2586) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2600) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2614) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2628) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2642) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm main process ended, respawning
Jul 14 10:44:38 el6b2 init: prefdm main process (2656) terminated with status 1
Jul 14 10:44:38 el6b2 init: prefdm respawning too fast, stopped
Jul 14 10:45:31 el6b2 kernel: type=1129 audit(1279084531.702:34):
================================================================================
Note: Just in case, SELinux was in 'Permissive'
Comment 3 Kashyap Chamarthy 2010-07-14 09:24:52 EDT
Is this possibly because of interaction between the Nvidia graphics card and nouveau drivers on my DELL Precision T5400? 

I could be wrong though..
Comment 4 RHEL Product and Program Management 2010-07-15 10:34:27 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Shyam Iyer 2010-07-22 10:14:50 EDT
Can you post the dmesg and lspci output from the system ?
Comment 6 Kashyap Chamarthy 2010-07-22 22:05:08 EDT
(1) For dmesg output, find the attachment dmesg.out


(2) lspci ouput:
==================================================
[root@el6b2 ~]# lspci 
00:00.0 Host bridge: Intel Corporation 5400 Chipset Memory Controller Hub (rev 20)
00:01.0 PCI bridge: Intel Corporation 5400 Chipset PCI Express Port 1 (rev 20)
00:05.0 PCI bridge: Intel Corporation 5400 Chipset PCI Express Port 5 (rev 20)
00:09.0 PCI bridge: Intel Corporation 5400 Chipset PCI Express Port 9 (rev 20)
00:10.0 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.1 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.2 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.3 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.4 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:11.0 Host bridge: Intel Corporation 5400 Chipset CE/SF Registers (rev 20)
00:15.0 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:15.1 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:16.0 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:16.1 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:1b.0 Audio device: Intel Corporation 631xESB/632xESB High Definition Audio Controller (rev 09)
00:1c.0 PCI bridge: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 (rev 09)
00:1d.0 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 (rev 09)
00:1d.1 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 (rev 09)
00:1d.2 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 (rev 09)
00:1d.3 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 (rev 09)
00:1d.7 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller (rev 09)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d9)
00:1f.0 ISA bridge: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller (rev 09)
00:1f.1 IDE interface: Intel Corporation 631xESB/632xESB IDE Controller (rev 09)
00:1f.2 SATA controller: Intel Corporation 631xESB/632xESB SATA AHCI Controller (rev 09)
00:1f.3 SMBus: Intel Corporation 631xESB/632xESB/3100 Chipset SMBus Controller (rev 09)
02:00.0 VGA compatible controller: nVidia Corporation G86 [Quadro NVS 290] (rev a1)
03:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port (rev 01)
03:00.3 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge (rev 01)
04:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 (rev 01)
04:01.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E2 (rev 01)
08:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5754 Gigabit Ethernet PCI Express (rev 02)
=======================================================================
Comment 7 Kashyap Chamarthy 2010-07-22 22:06:27 EDT
Created attachment 433854 [details]
dmesg output
Comment 8 RHEL Product and Program Management 2011-10-07 11:08:22 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 9 Charles Rose (RH) 2014-12-02 17:03:38 EST
Early RHEL6 releases required Nvidia proprietary drivers.

Please re-open if this issue is seen with the latest RHEL6 update and the nouveau driver.

Note You need to log in before you can comment on or make changes to this bug.